<?php
/**
 * Class control
 *
 * @package Yaffo
 */

namespace NeboTheme\Yaffo\Admin\MetaBoxes\Controls;

use NeboTheme\Yaffo\Admin\MetaBoxes\Controls\Base;

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Metabox Color control
 */
class Color extends Base {
	/**
	 * {@inheritDoc}
	 */
	public function get_type() {
		return 'color';
	}

	/**
	 * {@inheritDoc}
	 */
	protected function get_args_default() {
		return array_merge(
			parent::get_args_default(),
			[
				'placeholder' => esc_html__( 'Customize Settings', 'yaffo' ),
			]
		);
	}

	/**
	 * {@inheritDoc}
	 */
	protected function get_control_attrs() {
		return array_merge(
			parent::get_control_attrs(),
			[
				'type' => 'text',
				'data-alpha' => 'true',
				'data-reset-alpha' => 'true',
				'placeholder' => $this->get_args( 'placeholder' ),
			]
		);
	}
}
