<?php
/**
 * Class control
 *
 * @package Yaffo
 */

namespace NeboTheme\Yaffo\Admin\MetaBoxes\Controls;

use NeboTheme\Yaffo\Admin\MetaBoxes\Controls\Base;

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Metabox Heading control
 */
class Heading extends Base {
	/**
	 * {@inheritDoc}
	 */
	public function get_type() {
		return 'heading';
	}

	/**
	 * {@inheritDoc}
	 */
	protected function get_args_default() {
		return array_merge(
			parent::get_args_default(),
			[
				'tag' => 'h4',
			]
		);
	}

	/**
	 * {@inheritDoc}
	 */
	protected function render_field() {
		$tag = $this->get_args( 'tag' );

		echo '<' . tag_escape( $tag ) . ' ' . nebotheme_get_render_attrs( $this->get_control_attrs() ) . '>' .
			esc_html( $this->get_args( 'label' ) ) .
		'</' . tag_escape( $tag ) . '>';
	}
}
