<?php
/**
 * Class control
 *
 * @package Yaffo
 */

namespace NeboTheme\Yaffo\Admin\MetaBoxes\Controls;

use NeboTheme\Yaffo\Admin\MetaBoxes\Controls\Base;

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Metabox Number control
 */
class Number extends Base {
	/**
	 * {@inheritDoc}
	 */
	public function get_type() {
		return 'number';
	}

	/**
	 * {@inheritDoc}
	 */
	protected function get_args_default() {
		return array_merge(
			parent::get_args_default(),
			[
				'placeholder' => $this->get_args( 'default', null ),
				'step' => 1,
				'min' => 0,
			]
		);
	}

	/**
	 * {@inheritDoc}
	 */
	protected function get_control_attrs() {
		$default = $this->get_args( 'default' );
		$attrs = array_merge( parent::get_control_attrs(), [
			'type' => 'number',
			'min' => $this->get_args( 'min' ),
			'max' => $this->get_args( 'max' ),
			'step' => $this->get_args( 'step' ),
			'placeholder' => $this->get_args( 'placeholder', null ),
		] );

		$size_em = $this->get_args( 'size_em' );

		if ( $size_em ) {
			$attrs['style'] = "width: {$size_em}em;";
		}

		if (
			$default === $this->value
		) {
			unset( $attrs['value'] );
		}

		return $attrs;
	}
}
