<?php
/**
 * Class control
 *
 * @package Yaffo
 */

namespace NeboTheme\Yaffo\Admin\MetaBoxes\Controls;

use NeboTheme\Yaffo\Admin\MetaBoxes\Controls\Base;

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Metabox Slider control
 */
class Slider extends Base {
	/**
	 * Has reset button
	 *
	 * @var bool
	 */
	protected $has_reset_button = true;

	/**
	 * {@inheritDoc}
	 */
	public function get_type() {
		return 'slider';
	}

	/**
	 * {@inheritDoc}
	 */
	protected function get_control_attrs() {
		return array_merge(
			parent::get_control_attrs(),
			[
				'type' => 'number',
				'min' => $this->args['min'],
				'max' => $this->args['max'],
				'step' => $this->args['step'],
				'placeholder' => $this->get_args( 'placeholder' ),
				'title' => $this->get_args( 'placeholder' ),
			]
		);
	}

	/**
	 * {@inheritDoc}
	 */
	protected function get_args_default() {
		$args_default = [
			'step' => 1,
			'min' => 0,
			'max' => 100,
			'placeholder' => '',
		];

		if ( $this->has_theme_mod_name() ) {
			$args_default['placeholder'] = esc_html__( 'Customize Settings', 'yaffo' );
		}

		return $args_default;
	}

	/**
	 * {@inheritDoc}
	 */
	public function render_content() {
		?>
		<div class="slider-view"></div>
		<?php
	}
}
