<?php
/**
 * Class control
 *
 * @package Yaffo
 */

namespace NeboTheme\Yaffo\Admin\MetaBoxes\Controls;

use NeboTheme\Yaffo\Admin\MetaBoxes\Controls\Select;

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Metabox Switcher control
 */
class Switcher extends Select {
	/**
	 * {@inheritDoc}
	 */
	public function get_type() {
		return 'switcher';
	}

	/**
	 * {@inheritDoc}
	 */
	protected function get_args_default() {
		$args = [
			'label_enable' => esc_html__( 'Enable', 'yaffo' ),
			'label_disabled' => esc_html__( 'Disabled', 'yaffo' ),
		];

		return array_merge( parent::get_args_default(), $args );
	}

	/**
	 * {@inheritDoc}
	 */
	protected function ensure_args() {
		parent::ensure_args();

		if ( ! $this->has_default() ) {
			$this->args['default'] = YAFFO_VALUE_NEGATIVE;
		}
	}

	/**
	 * {@inheritDoc}
	 */
	protected function get_options_default() {
		return array_merge(
			parent::get_options_default(),
			[
				YAFFO_VALUE_POSITIVE => $this->args['label_enable'],
				YAFFO_VALUE_NEGATIVE => $this->args['label_disabled'],
			]
		);
	}
}
