<?php
/**
 * Class control
 *
 * @package Yaffo
 */

namespace NeboTheme\Yaffo\Admin\MetaBoxes\Controls;

use NeboTheme\Yaffo\Admin\MetaBoxes\Controls\Base;

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Metabox Text control
 */
class Text extends Base {
	/**
	 * {@inheritDoc}
	 */
	public function get_type() {
		return 'text';
	}

	/**
	 * {@inheritDoc}
	 */
	protected function get_args_default() {
		$attrs = parent::get_args_default();

		if ( $this->has_theme_mod_name() ) {
			$attrs['placeholder'] = esc_html__( 'Customize Settings', 'yaffo' );
		} else {
			$attrs['placeholder'] = esc_html__( 'Enter Text', 'yaffo' );
		}

		return $attrs;
	}

	/**
	 * {@inheritDoc}
	 */
	protected function get_control_attrs() {
		$size = $this->get_args( 'size' );
		$attrs = [
			'type' => 'text',
			'placeholder' => $this->get_args( 'placeholder', null ),
		];

		if ( $size ) {
			$attrs['size'] = $size;
		}

		return array_merge( parent::get_control_attrs(), $attrs );
	}
}
