<?php
/**
 * Base control
 *
 * @package Yaffo
 */

namespace NeboTheme\Yaffo\Customize\Controls;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Customize base class
 */
class Base extends \Kirki_Control_Base {
	/**
	 * Get id for field (etc. input, select)
	 */
	protected function get_field_id() {
		return "_customize-input-{$this->id}";
	}

	/**
	 * {@inheritDoc}
	 */
	public function render_content() {
		$description_id = "_customize-description-{$this->id}";

		if ( ! empty( $this->label ) ) : ?>
			<label for="<?php echo esc_attr( $this->get_field_id() ); ?>" class="customize-control-title"><?php echo esc_html( $this->label ); ?></label>
		<?php endif; ?>
		<?php
		if ( ! empty( $this->description ) ) {
			?>
			<span id="<?php echo esc_attr( $description_id ); ?>" class="description customize-control-description">
				<?php echo esc_html( $this->description ); ?>
			</span>
			<?php
		}
	}
}
