<?php
/**
 * Button control
 *
 * @package Yaffo
 */

namespace NeboTheme\Yaffo\Customize\Controls;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Button control class
 */
class Button extends Base {
	/**
	 * Control's Type.
	 *
	 * @var string
	 */
	public $type = 'nebotheme-button';

	/**
	 * Control's Event
	 *
	 * @var string
	 */
	protected $event;

	/**
	 * The class constructor
	 */
	public function __construct( $manager, $id, $args = [] ) {
		parent::__construct( $manager, $id, $args );

		$this->event = $args['event'];
	}

	/**
	 * {@inheritDoc}
	 */
	public function render_content() {
		?>
		<button type="button" class="button-primary button"><?php echo esc_html( $this->label ); ?></button>
		<span class="spinner"></span>
		<?php
	}

	/**
	 * {@inheritDoc}
	 */
	public function to_json() {
		parent::to_json();

		$this->json['event'] = $this->event;
	}
}
