<?php
/**
 * Footer
 *
 * @package Yaffo
 */

use NeboTheme\Yaffo\Customize\Customize_Manager;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

nebotheme_customize_fields_footer();

/**
 * Adds a customize fields with kirki
 *
 * @return void
 */
function nebotheme_customize_fields_footer() {
	$partial_refresh = [
		'container_inclusive' => true,
		'selector' => '#footer .copyright',
		'render_callback' => 'nebotheme_footer_copyright',
	];

	Customize_Manager::add_section(
		'footer',
		[
			'title' => esc_html__( 'Footer', 'yaffo' ),
			'priority' => 7,
			'icon' => 'dashicons-align-full-width',
		]
	);

	Customize_Manager::add_field(
		[
			'type' => 'code',
			'settings' => 'footer_copyright',
			'label' => esc_html__( 'Copyright', 'yaffo' ) . ' ©',
			'choices' => [
				'language' => 'html',
			],
			'section' => 'footer',
			'partial_refresh' => [
				'footer_copyright' => $partial_refresh,
			],
		]
	);
}
