<?php
/**
 * Miscellaneous Settings
 *
 * @package Yaffo
 */

use NeboTheme\Yaffo\Customize\Customize_Manager;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

nebotheme_customize_fields_miscellaneous();

/**
 * Adds a customize fields with kirki
 *
 * @return void
 */
function nebotheme_customize_fields_miscellaneous() {
	Customize_Manager::add_section(
		'miscellaneous',
		[
			'title'    => esc_html__( 'Miscellaneous Settings', 'yaffo' ),
			'priority' => 12,
			'icon'     => 'dashicons-ellipsis',
		]
	);

	Customize_Manager::add_field(
		[
			'type' => 'toggle',
			'label' => esc_html__( 'Zooming Images (Lightbox)', 'yaffo' ),
			'settings' => 'zoomable',
			'default' => true,
			'on_frontend' => true,
			'section' => 'miscellaneous',
		]
	);

	Customize_Manager::add_field(
		[
			'type'        => 'toggle',
			'settings'    => 'spoiler_comments',
			'label'       => esc_html__( 'Spoiler for Comments', 'yaffo' ),
			'section'     => 'miscellaneous',
			'default'     => true,
		]
	);

	Customize_Manager::add_field(
		[
			'type' => 'toggle',
			'label' => esc_html__( 'Sticky Sidebar', 'yaffo' ),
			'settings' => 'sticky_sidebar',
			'default' => true,
			'on_frontend' => true,
			'section' => 'miscellaneous',
		]
	);
}
