<?php
/**
 * The template for displaying the header.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Yaffo
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>" />
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link rel="profile" href="https://gmpg.org/xfn/11">
		<?php wp_head(); ?>
	</head>
	<body <?php body_class(); ?>>
		<?php wp_body_open(); ?>
		<div id="site">
			<div class="site-inner">
				<?php do_action( 'nebotheme_render_header_before' ); ?>
				<header id="header" class="header">
					<?php get_template_part( 'template-parts/header' ); ?>
				</header><!-- #header -->
				<?php do_action( 'nebotheme_render_header_after' ); ?>
				<main id="main" class="main nebotheme-scroll-padding">
					<?php do_action( 'nebotheme_render_main_start' ); ?>
					<?php do_action( 'nebotheme_render_content_before' ); ?>
					<div class="site-content-sidebar">
						<div class="nebotheme-var-blocks">
							<?php nebotheme_render_var_block_start(); ?>
