<?php
/**
 * Class control skin.
 *
 * @package Yaffo
 */

namespace NeboTheme\Yaffo\Modules\Skin_Manager\Controls;

use NeboTheme\Yaffo\Modules\Importer\Module as ImporterModule;
use NeboTheme\Yaffo\Customize\Controls\Base;
use NeboTheme\Yaffo\Utils;

/**
 * A customizer control for rendering the export/import form.
 */
final class Skin_Manager extends Base {
	/**
	 * Control's Type.
	 *
	 * @var string
	 */
	public $type = 'nebotheme-skin-manager';

	/**
	 * {@inheritdoc}
	 */
	public function render_content() {
		$demos = ImporterModule::get_demos();

		if ( ! $demos ) {
			return;
		}

		$wp_filesystem          = Utils::get_wp_filesystem();
		$filename_settings_skin = ImporterModule::get_environment()['filename_settings_skin'];

		?>
		<div class="nebotheme-skin-manager">
			<h3><?php esc_html_e( 'Select Skin', 'yaffo' ); ?></h3>
			<div class="nebotheme-skin-manager__demos">
				<?php
				foreach ( $demos as $demo ) {
					$skin_data = maybe_unserialize( $wp_filesystem->get_contents( "{$demo['dir']}/{$filename_settings_skin}" ) );
					$settings  = $skin_data['mods'];

					?>
					<div class="nebotheme-skin-manager__demo" data-settings="<?php echo esc_js( wp_json_encode( $settings ) ); ?>">
						<div class="nebotheme-skin-manager__demo__screenshot">
							<img src="<?php echo esc_url( $demo['import_preview_image_url'] ); ?>">
						</div>
						<div class="nebotheme-skin-manager__demo__content">
							<h3 class="nebotheme-skin-manager__demo__title">
								<a target="_blank" href="<?php echo esc_url( $demo['preview_url'] ); ?>">
									<i class="dashicons dashicons-share-alt2"></i><?php echo esc_html( $demo['import_file_name'] ); ?>
								</a>
							</h3>
							<div class="nebotheme-skin-manager__demo__interface">
								<span class="spinner"></span>
								<a class="nebotheme-skin-manager__demo__discard-trigger button-link button-link-delete" href="#"><?php esc_html_e( 'Discard', 'yaffo' ); ?></a>
								<a class="button nebotheme-skin-manager__demo__trigger" href="#"><?php esc_html_e( 'Try On Styles', 'yaffo' ); ?></a>
							</div>
						</div>
					</div>
					<?php
				}
				?>
			</div>
		</div>
		<?php
	}
}
