<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Yaffo
 * @since 1.0.0
 */

use NeboTheme\Yaffo\Classes\WP_Query_Agent;
use NeboTheme\Yaffo\Homepage;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header();

if ( have_posts() ) {
	WP_Query_Agent::loop_start();

	while ( have_posts() ) {
		the_post();

		if ( ! Homepage::is_hide_content() ) {
			do_action( 'nebotheme_render_page_content_before' );
			?>
			<div class="entry-content-wrap">
				<div class="entry-content clearfix">
					<?php the_content(); ?>
				</div>
			</div>
			<?php
			do_action( 'nebotheme_render_page_content_after' );
		}
	}

	if ( Homepage::is_blog_enable() ) {
		nebotheme_render_main_blog();
	}

	wp_link_pages();
	comments_template();

	WP_Query_Agent::loop_end();
}

get_sidebar();
get_footer();
