<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Yaffo
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header();

if ( have_posts() ) {
	nebotheme_render_main_blog();
} else {
	?>
	<div class="nebotheme-page-search">
		<?php if ( ! have_posts() ) : ?>
			<p class="nebotheme-page-search__description">
				<?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'yaffo' ); ?>
			</p>
		<?php endif; ?>
		<?php
		nebotheme_render_search_form(
			[
				'button_icon' => false,
				'button_text' => esc_html__( 'Search', 'yaffo' ),
			]
		);
		?>
	</div>
	<?php
}


get_sidebar();
get_footer();

