<?php
/**
 * Displays the post classic
 *
 * @package Yaffo
 * @since 1.0.0
 */

use NeboTheme\Yaffo\Sidebars\Sidebar_Manager;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

nebotheme_render_post_open( 'nebotheme-post--blog nebotheme-post--classic' );

$nebotheme_meta_data_bottom = [
	'date',
];

$nebotheme_user_types = nebotheme_get_tm( 'homepage_post_shares' );

if ( ! $nebotheme_user_types ) {
	$nebotheme_user_types = [
		'facebook',
		'twitter',
		'pinterest',
	];
} else {
	$nebotheme_user_types = array_slice( $nebotheme_user_types, 0, 3 );
}

$nebotheme_meta_data_bottom = [
	'date',
];

if ( is_archive() ) {
	$nebotheme_meta_data_bottom[] = 'author';
} else {
	array_unshift( $nebotheme_meta_data_bottom, 'read_time' );
}

?>
<header class="nebotheme-post__header">
	<?php
	nebotheme_render_post_meta(
		[
			'category',
		]
	);

	nebotheme_render_post_title(
		[
			'tag' => 'h2',
		]
	);

	nebotheme_render_post_meta( $nebotheme_meta_data_bottom );
	?>
</header>
<?php
nebotheme_render_thumbnail(
	[
		'size' => Sidebar_Manager::is_active() ? 'yaffo-medium' : 'yaffo-content-width',
	]
);

nebotheme_render_excerpt();
?>
<footer class="nebotheme-post__footer">
	<div class="nebotheme-post__footer__inner">
		<?php
		nebotheme_render_post_read_more();
		nebotheme_render_share_buttons(
			[
				'separator_index' => 0,
				'types' => $nebotheme_user_types,
			]
		);
		?>
	</div>
</footer>
<?php
nebotheme_render_post_close();
