<?php
/**
 * Displays the post grid
 *
 * @package Yaffo
 * @since 1.0.1
 */

use NeboTheme\Yaffo\Blog_Main;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$nebotheme_thumbnail_args = [];

if ( nebotheme_is_masonry() ) {
	$nebotheme_thumbnail_args['size'] = 'medium_large';
} else {
	$nebotheme_thumbnail_args['size'] = nebotheme_is_image_cropped() ? 'yaffo-grid' : 'medium_large';
}

$nebotheme_meta_data_bottom = [];

if ( is_archive() || is_search() ) {
	$nebotheme_meta_data_bottom[] = 'author';
} else {
	array_unshift( $nebotheme_meta_data_bottom, 'read_time' );
}

$nebotheme_meta_data_bottom[] = 'date';

$nebotheme_meta_items = [ 'category' ];

if ( is_search() && Blog_Main::is_active() && ! has_post_thumbnail() ) {
	array_unshift( $nebotheme_meta_items, 'post_type' );
}

nebotheme_render_post_open( 'nebotheme-post--blog nebotheme-post--grid' );

nebotheme_render_thumbnail( $nebotheme_thumbnail_args );

nebotheme_render_post_meta( $nebotheme_meta_items );

nebotheme_render_post_title(
	[
		'tag' => 'h3',
	]
);

nebotheme_render_post_meta( $nebotheme_meta_data_bottom );

nebotheme_render_excerpt();

nebotheme_render_post_close();
