<?php
/**
 * Displays the post list
 *
 * @package Yaffo
 * @since 1.0.0
 */

use NeboTheme\Yaffo\Sidebars\Sidebar_Manager;
use NeboTheme\Yaffo\Blog_Main;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

nebotheme_render_post_open( 'nebotheme-post--blog nebotheme-post--list' );

if ( has_post_thumbnail() ) {
	?>
	<div class="nebotheme-post__side nebotheme-padding-children">
		<?php
		nebotheme_render_thumbnail(
			[
				'size' => Sidebar_Manager::is_active() ? 'yaffo-grid' : 'yaffo-square',
			]
		);
		?>
	</div>
	<?php
}
?>
<div class="nebotheme-post__side nebotheme-post__content">
	<?php
	$nebotheme_meta_items = [ 'category' ];

	if ( is_search() && Blog_Main::is_active() && ! has_post_thumbnail() ) {
		array_unshift( $nebotheme_meta_items, 'post_type' );
	}

	nebotheme_render_post_meta( $nebotheme_meta_items );

	nebotheme_render_post_title(
		[
			'tag' => 'h2',
			'adaptive' => true,
		]
	);

	nebotheme_render_post_meta(
		[
			'author',
			'date',
		]
	);
	?>
</div>
<?php

nebotheme_render_post_close();
