<?php
/**
 * Displays the post single
 *
 * @package Yaffo
 * @since 1.0.0
 */

use NeboTheme\Yaffo\Sidebars\Sidebar_Manager;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

nebotheme_render_post_open( 'nebotheme-post-single' );
nebotheme_render_post_single_header();
nebotheme_render_post_single_view(
	[
		'thumbnail' => [
			'size' => Sidebar_Manager::is_active() ? 'yaffo-medium' : 'full',
		],
	]
);

do_action( 'nebotheme_render_post_content_before' );

if ( get_the_content() || is_attachment() || isset( $_GET['elementor-preview'] ) ) {
	?>
	<div class="entry-content-wrap">
		<div class="entry-content clearfix">
			<?php the_content(); ?>
			<?php wp_link_pages(); ?>
		</div>
	</div>
	<?php
}

do_action( 'nebotheme_render_post_content_after' );
?>
<footer class="nebotheme-post-single__footer">
	<?php
	nebotheme_render_post_meta(
		[
			'post_tag',
		]
	);

	nebotheme_render_share_buttons_single();

	nebotheme_render_post_author_box();

	comments_template();

	nebotheme_render_pagination_single();
	?>
</footer>
<?php nebotheme_render_post_close(); ?>
