<?php
/**
 * Header part.
 *
 * @package Yaffo
 * @since 1.0.5
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

use NeboTheme\Yaffo\Logos;
use NeboTheme\Yaffo\Headline;

?>
<div class="header-row header-main">
	<div class="header-row-inner">
		<div class="grid-container">
			<div class="grid-row flex-wrap-n">
				<?php if ( nebotheme_is_render_off_canvas() ) : ?>
					<div class="grid-col">
						<div class="header-element">
							<?php do_action( 'nebotheme_header_main_first_start' ); ?>

							<?php nebotheme_render_trigger( 'off-canvas' ); ?>

							<?php do_action( 'nebotheme_header_main_first_end' ); ?>
						</div>
					</div>
				<?php endif; ?>
				<div class="grid-col flex-grow">
					<div class="header-element">
						<?php
						do_action( 'nebotheme_header_main_middle_start' );

						Logos::render_logo( 'header' );

						do_action( 'nebotheme_header_main_middle_end' );

						if (
							( is_home() || ( is_page() && ! Headline::is_active() ) ) &&
							'h1' === nebotheme_get_tag_h1()
						) {
							echo '<h1 class="nebotheme-home-h1">';

							if ( is_page() ) {
								the_title();
							} else {
								bloginfo( 'name' );
							}

							echo '</h1>';
						}

						?>
					</div>
				</div>
				<div class="grid-col grid-col-end">
					<div class="header-element">
						<?php do_action( 'nebotheme_header_main_last_start' ); ?>

						<?php nebotheme_render_trigger( 'popup:search:show', 'nebotheme-icon-custom-search' ); ?>

						<?php do_action( 'nebotheme_header_main_last_end' ); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
</div><!-- .header-main -->
