<?php
/**
 * Header part.
 *
 * @package Yaffo
 * @since 1.0.5
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

use NeboTheme\Yaffo\Logos;

?>
<div class="header-row header-mobile">
	<div class="header-row-inner">
		<div class="grid-container">
			<div class="grid-row flex-wrap-n">
				<?php if ( nebotheme_is_render_off_canvas() ) : ?>
					<div class="grid-col">
						<div class="header-element">
							<?php do_action( 'nebotheme_header_mobile_first_start' ); ?>

							<?php nebotheme_render_trigger( 'off-canvas' ); ?>

							<?php do_action( 'nebotheme_header_mobile_first_end' ); ?>
						</div>
					</div>
				<?php endif; ?>
				<div class="grid-col flex-grow">
					<div class="header-element">
						<?php
						do_action( 'nebotheme_header_mobile_middle_start' );

						Logos::render_logo( 'header_mobile' );

						do_action( 'nebotheme_header_mobile_middle_end' );
						?>
					</div>
				</div>
				<div class="grid-col grid-col-end">
					<div class="header-element">
						<?php do_action( 'nebotheme_header_mobile_last_start' ); ?>

						<?php nebotheme_render_trigger( 'popup:search:show', 'nebotheme-icon-custom-search' ); ?>

						<?php do_action( 'nebotheme_header_mobile_last_end' ); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
</div><!-- .header-main -->
