<?php
/**
 * Header part.
 *
 * @package Yaffo
 * @since 1.0.5
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

use NeboTheme\Yaffo\Menu\Menu_Manager;
use NeboTheme\Yaffo\Logos;

if ( ! nebotheme_get_tm( 'header_sticky_enable' ) ) {
	return;
}

?>
<div class="header-row header-sticky">
	<div class="header-row-inner">
		<div class="grid-container">
			<div class="grid-row flex-wrap-n">
				<div class="grid-col">
					<div class="header-element">
						<?php
						do_action( 'nebotheme_sticky_first_start' );

						if ( nebotheme_is_render_off_canvas() ) {
							nebotheme_render_trigger( 'off-canvas' );
						}

						Menu_Manager::instance()->render_menu( Menu_Manager::MENU_ID_STICKY );

						do_action( 'nebotheme_sticky_first_end' );
						?>
					</div>
				</div>
				<div class="grid-col flex-grow logo-col">
					<div class="header-element">
						<?php do_action( 'nebotheme_sticky_middle_start' ); ?>

						<?php Logos::render_logo( 'header_mobile' ); ?>

						<?php do_action( 'nebotheme_sticky_middle_end' ); ?>
					</div>
				</div>
				<div class="grid-col grid-col-end">
					<div class="header-element">
						<?php do_action( 'nebotheme_sticky_last_start' ); ?>

						<?php nebotheme_render_social_icons_global(); ?>
						<?php nebotheme_render_trigger( 'popup:search:show', 'nebotheme-icon-custom-search' ); ?>

						<?php do_action( 'nebotheme_sticky_last_end' ); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
</div><!-- .header-sticky -->
<?php
