<?php
/**
 * Header part.
 *
 * @package Yaffo
 * @since 1.0.5
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

use NeboTheme\Yaffo\Menu\Menu_Manager;
use NeboTheme\Yaffo\Modules\Woocommerce\Module as WoocommerceModule;

?>

<div class="header-row header-top">
	<div class="header-row-inner">
		<div class="grid-container">
			<div class="grid-row">
				<div class="grid-col">
					<div class="header-element">
						<?php do_action( 'nebotheme_top_first_start' ); ?>

						<?php Menu_Manager::instance()->render_menu( Menu_Manager::MENU_ID_PRIMARY ); ?>

						<?php do_action( 'nebotheme_top_first_end' ); ?>
					</div>
				</div>
				<?php if ( nebotheme_is_render_social_icons() || WoocommerceModule::is_active() ) : ?>
					<div class="grid-col grid-col-end flex-grow">
						<div class="header-element">
							<?php do_action( 'nebotheme_top_last_start' ); ?>

							<?php nebotheme_render_social_icons_global(); ?>

							<?php do_action( 'nebotheme_top_last_end' ); ?>
						</div>
					</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div><!-- .header-top -->
