<?php
/**
 * Off-Canvas part.
 *
 * @package Yaffo
 * @since 1.0.0
 */

use NeboTheme\Yaffo\Menu\Menu_Manager;
use NeboTheme\Yaffo\Sidebars\Sidebar_Manager;
use NeboTheme\Yaffo\Logos;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( ! nebotheme_is_render_off_canvas() ) {
	return;
}
?>
<div id="nebotheme-off-canvas" class="nebotheme-off-canvas nebotheme-color-scheme">
	<div class="nebotheme-off-canvas-inner">
		<div class="nebotheme-off-canvas-header">
			<?php Logos::render_logo( 'off_canvas' ); ?>
			<?php nebotheme_render_trigger_close( 'off-canvas' ); ?>
		</div>
		<div class="nebotheme-off-canvas-content">
			<div class="nebotheme-off-canvas-content-outer">
				<div class="nebotheme-off-canvas-content-inner">
					<?php
					do_action( 'nebotheme_off_canvas_content_start' );

					Menu_Manager::instance()->render_menu( Menu_Manager::MENU_ID_OFF_CANVAS );

					Sidebar_Manager::render( Sidebar_Manager::SIDEBAR_OFF_CANVAS );

					do_action( 'nebotheme_off_canvas_content_end' );
					?>
				</div>
			</div>
		</div>
		<?php if ( nebotheme_is_render_social_icons() ) : ?>
			<div class="nebotheme-off-canvas-bottom">
				<?php do_action( 'nebotheme_off_canvas_bottom_start' ); ?>

				<?php nebotheme_render_social_icons_global(); ?>

				<?php do_action( 'nebotheme_off_canvas_bottom_end' ); ?>
			</div>
		<?php endif; ?>
	</div>
</div>
