<?php
namespace NeboTheme\YaffoCore;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

final class Meta_Boxes {
	/**
	 * Plugin constructor.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	public function __construct() {
		$this->add_hooks();
	}

	/**
	 * Add action and filters.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	private function add_hooks() {
		add_action( 'add_meta_boxes', [ $this, 'add_meta_boxes' ], 1 );
	}


	/**
	 * Add Meta-Boxes.
	 *
	 * @since 1.0.0
	 * @return void
	 */
	public function add_meta_boxes() {
		add_meta_box(
			'nebotheme_custom_meta_box',
			esc_html__( 'Yaffo Options', 'yaffo-core' ),
			[ $this, 'render' ],
			array_values( get_post_types( [ 'show_in_nav_menus' => true ] ) ),
			'normal',
			'high'
		);
	}

	public function render() {
		do_action( 'yaffo_core_meta_boxes_render' );
	}
}
